Debian Bug report logs - #511243
RFH: boinc -- BOINC distributed computing

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Frank S. Thomas" <fst@debian.org>

Date: Thu, 8 Jan 2009 19:24:02 UTC

Severity: normal

Fixed in version boinc/7.0.36+dfsg-2

Done: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, pkg-boinc-devel@lists.alioth.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Thu, 08 Jan 2009 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Frank S. Thomas" <fst@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, pkg-boinc-devel@lists.alioth.debian.org, <wnpp@debian.org>. (Thu, 08 Jan 2009 19:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Frank S. Thomas" <fst@debian.org>
To: submit@bugs.debian.org
Subject: RFA: boinc -- BOINC distributed computing infrastructure
Date: Thu, 8 Jan 2009 20:20:06 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal
X-Debbugs-CC: debian-devel@lists.debian.org, debian-science@lists.debian.org, pkg-boinc-devel@lists.alioth.debian.org

Hello,

We, the Debian BOINC Maintainers, put up boinc and boinc-app-seti for
adoption. None of us currently have enough time to properly maintain
these packages, e.g. fixing non-RC bugs, updating them to new upstream
versions, and so on. The current BOINC version in Debian is one major
version behind the current upstream release and the packages accumulate
bug reports that are left unanswered. So if you are a BOINC user or
interested in BOINC, please consider adopting it.

If you want to inspect the source packages, they are maintained in Git:
http://git.debian.org/?p=pkg-boinc/boinc.git
http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git

Thanks
Frank

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Thu, 08 Jan 2009 19:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 08 Jan 2009 19:54:02 GMT) Full text and rfc822 format available.

Message #10 received at 511243@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: "Frank S\. Thomas" <fst@debian.org>, 511243@bugs.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Thu, 8 Jan 2009 13:50:26 -0600
[Message part 1 (text/plain, inline)]
On Thu, Jan 08, 2009 at 08:20:06PM +0100, Frank S. Thomas wrote:
> We, the Debian BOINC Maintainers, put up boinc and boinc-app-seti for
> adoption. None of us currently have enough time to properly maintain
> these packages, e.g. fixing non-RC bugs, updating them to new upstream
> versions, and so on. The current BOINC version in Debian is one major
> version behind the current upstream release and the packages accumulate
> bug reports that are left unanswered. So if you are a BOINC user or
> interested in BOINC, please consider adopting it.
> 

I am actually interested on this, but FWIW I really will prefer to join
a team and keep BOINC related packages team maintained.

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Thu, 08 Jan 2009 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Frank S. Thomas" <fst@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 08 Jan 2009 21:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 511243@bugs.debian.org (full text, mbox):

From: "Frank S. Thomas" <fst@debian.org>
To: Rene Mayorga <rmayorga@debian.org.sv>
Cc: 511243@bugs.debian.org, pkg-boinc-devel@lists.alioth.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Thu, 8 Jan 2009 22:32:53 +0100
[Message part 1 (text/plain, inline)]
On Thursday 08 January 2009 20:50:26 Rene Mayorga wrote:
> I am actually interested on this, but FWIW I really will prefer to join
> a team and keep BOINC related packages team maintained.

I see no problem for you to join the pkg-boinc project on Alioth and join the 
Debian BOINC Maintainers. But note that none of us currently have time for 
doing maintenance works.

Cheers
Frank
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Thu, 08 Jan 2009 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 08 Jan 2009 23:30:05 GMT) Full text and rfc822 format available.

Message #20 received at 511243@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: "Frank S\. Thomas" <fst@debian.org>
Cc: 511243@bugs.debian.org, pkg-boinc-devel@lists.alioth.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Thu, 8 Jan 2009 17:27:37 -0600
[Message part 1 (text/plain, inline)]
On Thu, Jan 08, 2009 at 10:32:53PM +0100, Frank S. Thomas wrote:
> On Thursday 08 January 2009 20:50:26 Rene Mayorga wrote:
> > I am actually interested on this, but FWIW I really will prefer to join
> > a team and keep BOINC related packages team maintained.
> 
> I see no problem for you to join the pkg-boinc project on Alioth and join the 
> Debian BOINC Maintainers. But note that none of us currently have time for 
> doing maintenance works.

Fair enough, but my guess is that I won't be the
only one interested on BOINC, so that is why I suggest to keep the 
team effort and just get new people there.

Also, There is any chance to get sponsorship even that the team is not active
on maintenance work ?

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Fri, 09 Jan 2009 03:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 09 Jan 2009 03:21:02 GMT) Full text and rfc822 format available.

Message #25 received at 511243@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: "Frank S\. Thomas" <fst@debian.org>
Cc: 511243@bugs.debian.org, pkg-boinc-devel@lists.alioth.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Thu, 8 Jan 2009 21:16:55 -0600
[Message part 1 (text/plain, inline)]
On Thu, Jan 08, 2009 at 05:27:37PM -0600, Rene Mayorga wrote:
> Also, There is any chance to get sponsorship even that the team is not active
> on maintenance work ?
> 

BTW, my alioth user is `rmayorga-guest', but let see if there is still
more people interesting or if some one retitle this bug to ITA. (but I
still think that should be rename as RFH :) ).

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Fri, 09 Jan 2009 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <moeller@inb.uni-luebeck.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 09 Jan 2009 09:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 511243@bugs.debian.org (full text, mbox):

From: Steffen Moeller <moeller@inb.uni-luebeck.de>
To: Rene Mayorga <rmayorga@debian.org.sv>
Cc: "Frank S. Thomas" <fst@debian.org>, pkg-boinc-devel@lists.alioth.debian.org, 511243@bugs.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Fri, 09 Jan 2009 10:34:10 +0100
Rene Mayorga wrote:
> On Thu, Jan 08, 2009 at 05:27:37PM -0600, Rene Mayorga wrote:
>> Also, There is any chance to get sponsorship even that the team is not active
>> on maintenance work ?
>>
> 
> BTW, my alioth user is `rmayorga-guest', but let see if there is still
> more people interesting or if some one retitle this bug to ITA. (but I
> still think that should be rename as RFH :) ).

I can help with sponsoring.

Kind regards,

Steffen




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Mon, 12 Jan 2009 04:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 12 Jan 2009 04:48:02 GMT) Full text and rfc822 format available.

Message #35 received at 511243@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: Steffen Moeller <moeller@inb.uni-luebeck.de>
Cc: "Frank S\. Thomas" <fst@debian.org>, pkg-boinc-devel@lists.alioth.debian.org, 511243@bugs.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Sun, 11 Jan 2009 22:42:46 -0600
[Message part 1 (text/plain, inline)]
On Fri, Jan 09, 2009 at 10:34:10AM +0100, Steffen Moeller wrote:
> Rene Mayorga wrote:
> > On Thu, Jan 08, 2009 at 05:27:37PM -0600, Rene Mayorga wrote:
> >> Also, There is any chance to get sponsorship even that the team is not active
> >> on maintenance work ?
> >>
> > 
> > BTW, my alioth user is `rmayorga-guest', but let see if there is still
> > more people interesting or if some one retitle this bug to ITA. (but I
> > still think that should be rename as RFH :) ).
> 
> I can help with sponsoring.

I noticed that I've being added topkg-boinc-devel on alioth, and I took 
a couple of easy bugs to fix and made some small changes to keep lintian 
happy, all the change are now on experimental branch.

Thanks for adding me on the project.

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Thu, 15 Jan 2009 04:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 15 Jan 2009 04:33:02 GMT) Full text and rfc822 format available.

Message #40 received at 511243@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: pkg-boinc-devel@lists.alioth.debian.org, 511243@bugs.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Wed, 14 Jan 2009 22:28:15 -0600
[Message part 1 (text/plain, inline)]
retitle 511243 RFH: boinc -- BOINC distributed computing
thanks

On Mon, Jan 12, 2009 at 10:24:38AM +0100, Frank S. Thomas wrote:
> I think it is your decision now what to do with the RFA bug. If you want to 
> leave it open for a while or if you want to rename it to RFH. I'm just happy 
> that there is now new blood in the team!

Ok, I still thinking that this bug should be a RFH, so I'm doing now :)

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RFH: boinc -- BOINC distributed computing' from `RFA: boinc -- BOINC distributed computing infrastructure'. Request was from Rene Mayorga <rmayorga@debian.org.sv> to control@bugs.debian.org. (Thu, 15 Jan 2009 04:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Mon, 16 Mar 2009 15:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leandro Doctors <ldoctors@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 16 Mar 2009 15:48:14 GMT) Full text and rfc822 format available.

Message #47 received at 511243@bugs.debian.org (full text, mbox):

From: Leandro Doctors <ldoctors@gmail.com>
To: 511243@bugs.debian.org
Subject: Volunteer
Date: Mon, 16 Mar 2009 15:13:27 +0000
I might help (I was thinking about helping with Globus, but I think
this is simpler, and both projects are on the same field). I'll start
reading the BOINC documentation (and re-read Debian's NMG). If you
could recommend me some specific documentation to better understand
your problems, I would be very happy.

I crtainly will need the sponsorship, given that I'm not a DD. (This
would be the perfect excuse to start the NM process :-)

Cheers,
L




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Sun, 07 Jun 2009 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Piatek <anton@piatek.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 07 Jun 2009 17:09:02 GMT) Full text and rfc822 format available.

Message #52 received at 511243@bugs.debian.org (full text, mbox):

From: Anton Piatek <anton@piatek.co.uk>
To: 511243@bugs.debian.org
Subject: Still need help?
Date: Sun, 7 Jun 2009 18:06:09 +0100
Hi,
If you are still looking for people to help with this then I would
love to get involved - I have been building debian packages at work
for a few years, but never had enough time to get directly involved
with Debian. I would love to get into a few packages so I could start
the NM process

Anton

-- 
Anton Piatek
email: anton@piatek.co.uk	
blog/photos:			http://www.strangeparty.com
pgp: [0xB307BAEF]	(http://www.strangeparty.com/anton.asc)
fingerprint: 116A 5F01 1E5F 1ADE 78C6 EDB3 B9B6 E622 B307 BAEF

No trees were destroyed in the sending of this message, however, a
significant number of electrons were terribly inconvenienced.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511243; Package wnpp. (Sun, 12 Jul 2009 06:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fernando C. Estrada" <fcestrada@fcestrada.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 12 Jul 2009 06:09:03 GMT) Full text and rfc822 format available.

Message #57 received at 511243@bugs.debian.org (full text, mbox):

From: "Fernando C. Estrada" <fcestrada@fcestrada.com>
To: 511243@bugs.debian.org
Cc: rmayorga@debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Sun, 12 Jul 2009 01:05:47 -0500
I'm interested in BOINC, and I'm glad if I can be a member of the team.

I started reading BOINC and DEBIAN related documentation and reviewing
bugs by Rene's suggestion. I'm not a Debian Developer, but I want to see
BOINC in good shape in Debian and start the NM process.

My alioth user is: fcestrada-guest.

Cheers!
-- 
Fernando C. Estrada       http://www.fcestrada.com
fcestrada@fcestrada.com  1024D/45D559A2 2007-08-09
6BC0 293A 9C7A 9DD5 2D12  6DCB 6A99 02A1 45D5 59A2





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511243; Package wnpp. (Fri, 07 May 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to francesco.zanolin@ingv.it:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 07 May 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #62 received at 511243@bugs.debian.org (full text, mbox):

From: francesco.zanolin@ingv.it
To: 511243@bugs.debian.org
Subject: Re: Bug#511243: RFA: boinc -- BOINC distributed computing infrastructure
Date: Fri, 07 May 2010 18:37:35 +0200
Hi.

I'm interested in BOINC, and I'm glad if I can be a member of the team.

I'm one of the mantainers of gnarwl package; I hope to be useful to  
the project because i'm sponsoring Debian and BOINC where i work and  
i'm also interested to see the BOINC server on Debian.

My alioth user is: susinamorta-guest.

Sincerly!

Francesco Zanolin
----------------------------------------------------------------

Il contenuto di questa e-mail e' rivolto unicamente alle persone cui  
e' indirizzato, e puo'
contenere informazioni la cui riservatezza e' tutelata.
E' proibita la copia, la divulgazione o l'uso di questo messaggio o  
dell'informazione ivi
contenuta da chiunque altro che non sia il destinatario indicato.
Se avete ricevuto questa e-mail per errore, vogliate cortesemente
comunicarlo immediatamente per telefono, fax o e-mail. Grazie.

This e-mail is intended only for person or entity to which is  
addressed and may contain
information that is privileged, confidential or otherwise protected  
from disclosure.
Copying, dissemination or use of this e-mail or the information herein
by anyone other than the intended recipient is prohibited.
If you have received this
e-mail by mistake, please notify us immediately by telephone, fax or e-mail.
Thank you.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511243; Package wnpp. (Mon, 09 Aug 2010 20:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to racerx@makeworld.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Aug 2010 20:33:09 GMT) Full text and rfc822 format available.

Message #67 received at 511243@bugs.debian.org (full text, mbox):

From: "Chris" <racerx@makeworld.com>
To: 511243@bugs.debian.org
Subject: Bug 511243: RFA: boinc
Date: Mon, 9 Aug 2010 20:20:31 +0000
I would like to join the team also. 

Alioth user: cds-guest
Sent from my BlackBerry®

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511243; Package wnpp. (Sun, 08 Jul 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Jul 2012 03:45:04 GMT) Full text and rfc822 format available.

Message #72 received at 511243@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Rene Mayorga <rmayorga@debian.org>
Cc: 511243@bugs.debian.org, boinc@packages.debian.org
Subject: Re: RFH: boinc
Date: Sat, 7 Jul 2012 22:41:59 -0500
Hi,

In January, 2009, Rene Mayorga wrote:

> Ok, I still thinking that this bug should be a RFH, so I'm doing now :)

I was sifting through wnpp reports and noticed this one.

I think making this an RFH was an excellent idea, and you seem to have
recruited a reasonably sized, active team.

Of course it would be nice to recruit even more people, but it seems
that momentum via this bug report has stopped.  And on the other hand
the BOINC team has a quite visible presence that makes at least some
ways to help clear:

  http://wiki.debian.org/Teams/DebianBOINCMaintainers
  http://git.debian.org/?p=pkg-boinc/boinc.git;a=blob_plain;f=debian/TODO.Debian

(Side note: if that TODO file were renamed to debian/TODO, then
dh_installdocs would install it as TODO.Debian to the boinc package.)

Is this RFH still useful?

Hope that helps,
Jonathan




Reply sent to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>:
You have taken responsibility. (Mon, 22 Oct 2012 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to "Frank S. Thomas" <fst@debian.org>:
Bug acknowledged by developer. (Mon, 22 Oct 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #77 received at 511243-close@bugs.debian.org (full text, mbox):

From: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
To: 511243-close@bugs.debian.org
Subject: Bug#511243: fixed in boinc 7.0.36+dfsg-2
Date: Mon, 22 Oct 2012 19:00:05 +0000
Source: boinc
Source-Version: 7.0.36+dfsg-2

We believe that the bug you reported is fixed in the latest version of
boinc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511243@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gianfranco Costamagna <costamagnagianfranco@yahoo.it> (supplier of updated boinc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Oct 2012 13:26:54 +0200
Source: boinc
Binary: boinc libboinc7 boinc-nvidia-cuda boinc-amd-opencl boinc-client boinc-manager boinc-dev libboinc-app-dev libboinc-app7 boinc-dbg boinc-cgi-stripchart
Architecture: source all amd64
Version: 7.0.36+dfsg-2
Distribution: experimental
Urgency: low
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Changed-By: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Description: 
 boinc      - metapackage for the BOINC client and the manager
 boinc-amd-opencl - metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 boinc-cgi-stripchart - CGI script for plotting basic statistical graphs
 boinc-client - core client for the BOINC distributed computing infrastructure
 boinc-dbg  - debugging symbols for BOINC binaries
 boinc-dev  - development files to build applications for BOINC projects
 boinc-manager - GUI to control and monitor the BOINC core client
 boinc-nvidia-cuda - metapackage for CUDA-savvy BOINC client and manager
 libboinc-app-dev - development files to build applications for BOINC projects
 libboinc-app7 - libraries for BOINC's scientific applications
 libboinc7  - libraries of BOINC the client depends on
Closes: 511243 641593 659845 672725
Changes: 
 boinc (7.0.36+dfsg-2) experimental; urgency=low
 .
   [ Guo Yixuan ]
   * debian/control:
     - Removed the deprecated DMUA field.
     - Use Breaks plus Replaces for moving files from boinc-dev
       to libboinc*.
   * debian/patches:
     - Removed some old patches (those not in series anymore).
     - Refreshed cppcheck_avoid_redundant_check.patch.
 .
   [ Gianfranco Costamagna ]
   * without boinclib_shared.patch boinc FTBFS, changed the order of patch
 .
   [ Steffen Moeller ]
   * reactivated boinc-amd-opencl package
 .
 boinc (7.0.36+dfsg-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gianfranco Costamagna ]
   * New upstream version
 .
   [ Guo Yixuan ]
   * Updated api_NULL_not_defined.patch.
 .
   [ Steffen Moeller ]
   * Updated slot_dir_source_trace.patch.
   * Updated opendir_error_messages.patch.
 .
 boinc (7.0.34+dfsg-6) UNRELEASED; urgency=low
 .
   [ Steffen Moeller ]
   * Fixing upstream bug
     https://boinc.berkeley.edu/trac/ticket/1168
     on dir_scan usage.
 .
   [ Guo Yixuan ]
   * Updated debian/copyright to new format, added a section about api/ttf/*.
   * Clean up debian/rules.
 .
 boinc (7.0.34+dfsg-5) UNRELEASED; urgency=low
 .
   * Added better error messages for opendir() failures
 .
 boinc (7.0.34+dfsg-4) unstable; urgency=low
 .
   [ Guo Yixuan ]
   * Fix of debian/patch on pathlength
   [ Steffen Moeller ]
   * Corrected handling of memory reallocation in client/stream.cpp
   * Improved cpptest cleanliness
 .
 boinc (7.0.34+dfsg-3) UNRELEASED; urgency=low
 .
   [ Steffen Moeller ]
   * Improving error message on directory that cannot be opened
   * Fixing a file descriptor leak in read_ppm_file (api/gutil.cpp)
 .
   [ Guo Yixuan ]
   * Removed dependency on dh-buildinfo, no longer used.
   * Fixed a bug in our patches that truncated filename.
 .
 boinc (7.0.34+dfsg-2) unstable; urgency=low
 .
   [ Steffen Moeller ]
   * Reacting to ftpmasters' comments
     - libraries get package name adjusted to soname
     - boinc-nvidia-cuda package loses dependency on libcuda1:i386
 .
   [ Guo Yixuan ]
   * Change libboinc-app-dev's depends to be binnmuable, to resolve lintian
     errors.
   * Revert dpkg-dev's version in build-deps to >= 1.16.1.1.
   * Add libboinc7 and libboinc-app7 to boinc-dbg's depends.
   * Add lintian overrides for boinc-manager and libboinc-app7, because -O0 are
     used in api/ and clientgui/, where fortify won't work.
 .
 boinc (7.0.34+dfsg-1) unstable; urgency=low
 .
   [ Steffen Moeller ]
   * New upstream version
     - many non-Linux fixes
     - consistency with GPU types
     - api loses supports for legacy image formats
     - switch from *.txf fonts to TrueType fonts in graphics apps,
       ensuring that all related files have no licensing issues.
   * Helping boinc-nvidia-cuda package towards multi-arch
   * Help cleaning remnants of packages (temporarily) not in
     debian/control but in debian/control.in.
   * Override boinc-nvidia-cuda: bad-provided-package-name libcuda1:i386
 .
   [ Guo Yixuan ]
   * Remove broken links from libboinc-app-dev. (Closes: #659845)
   * Bump build-depend on dpkg-dev >= 1.16.5 for arch-qualified depends.
 .
 boinc (7.0.33+dfsg-1) unstable; urgency=low
 .
   [ Steffen Moeller ]
   * New upstream version
   * Conditional builds of debian/control
 .
   [ Guo Yixuan ]
   * debian/rules: partially disable some optimization and hardening flags,
     - in api/, for SETI to work,
     - in clientgui/, as a workaround for #679207.
 .
 boinc (7.0.32+dfsg-1) UNRELEASED; urgency=low
 .
   [ Steffen Moeller ]
   * New upstream version.
 .
 boinc (7.0.31+dfsg-1) unstable; urgency=low
 .
   [ Steffen Moeller ]
   * New upstream version.
 .
   [ Guo Yixuan ]
   * debian/control:
     - add missed dependency for libboinc.
     - remove dependency on python-support.
     - libboinc-app-dev: depend on libboinc.
   * debian/watch: check for even minor version, and fix dpkg warnings.
   * debian/rules:
     - use dh_python2 instead of py_support.
     - remove build-stamp, use override_dh_auto_build to build samples.
     - simplify targets by using pattern rule.
     - use override_dh_clean instead of a custom clean target.
 .
 boinc (7.0.30+dfsg-1) UNRELEASED; urgency=low
 .
   [ Steffen Moeller ]
   * New upstream version.
 .
   [ Guo Yixuan ]
   * debian/rules: use dpkg-buildflags to get default flags.
   * debian/control: build-depend on dpkg-dev >= 1.16.1.1, because
     buildflags.mk and DEB_BUILD_MAINT_OPTIONS are needed.
   * debian/patches/add_hardening_flags.patch: pass CXXFLAGS, CPPFLAGS and
     LDFLAGS to hand-written Makefiles in samples/.
   * Add myself to uploaders. (Closes: #511243)
 .
 boinc (7.0.28+dfsg-3) UNRELEASED; urgency=low
 .
   [ Steffen Moeller ]
   * Splitting -dev package into libboinc and libboinc-dev.
   * Added shared library for libboinc.
   * Added configure flag in debian/rules to allow dynamic clients
   * Installing more from  debian/tmp to avoid lintian wrappers
 .
   [ Guo Yixuan ]
   * Add patch from Rom that fixes the project category crash.
     (Closes: #641593)
 .
 boinc (7.0.28+dfsg-2) UNRELEASED; urgency=low
 .
   * Reactivating the screensaver (Steffen and Bernd)
     - not ready, yet.
     - not building for Wheezy
   * Addressed FTBFS on hurd (Closes: #672725)
 .
 boinc (7.0.28+dfsg-1) UNRELEASED; urgency=low
 .
   * New upstream version.
   * Adding hardening flags.
Checksums-Sha1: 
 87d1b3202fe78946a93722e7e42e450d8c303543 2983 boinc_7.0.36+dfsg-2.dsc
 de815492dcdc78ea23be5ca3add464b344a7e622 210878 boinc_7.0.36+dfsg-2.debian.tar.gz
 1b55bb99bde98da967b50199b9cd34140ba593ce 72192 boinc_7.0.36+dfsg-2_all.deb
 fcca0b0d638689dcdc43f61fd6d68ea586fa3144 210614 libboinc7_7.0.36+dfsg-2_amd64.deb
 c81ddf5f7480fa0dd344efa1e85de547ec551c40 72184 boinc-nvidia-cuda_7.0.36+dfsg-2_amd64.deb
 ad720492905ee4cec6825fb1370d52e1f6edc72d 72288 boinc-amd-opencl_7.0.36+dfsg-2_amd64.deb
 29f19196f940c3bdd1507daf379a116190ab8825 433924 boinc-client_7.0.36+dfsg-2_amd64.deb
 178f324ab200487a4dbaab6e3902c896497879f8 1365404 boinc-manager_7.0.36+dfsg-2_amd64.deb
 27fb122fa559ce8c1277e329e256248d704fd35b 71856 boinc-dev_7.0.36+dfsg-2_all.deb
 187f0875bfdebf8b328348766c0743d5e65027ce 201762 libboinc-app-dev_7.0.36+dfsg-2_all.deb
 e38ef9bf337c4e0413937fa3d9095bf4e623a294 229356 libboinc-app7_7.0.36+dfsg-2_amd64.deb
 55a85aa56b10135982964976571c6813bbd7d5e4 9149534 boinc-dbg_7.0.36+dfsg-2_amd64.deb
 eb4794ecd4aaa812683a029c1750ee4c3734a2ea 83474 boinc-cgi-stripchart_7.0.36+dfsg-2_all.deb
Checksums-Sha256: 
 386ea197c3c28eb8975e97fb56bbb735dec4e7fb03c3f0cf759dfba9a6200670 2983 boinc_7.0.36+dfsg-2.dsc
 53f4d31a55eae116b5bd2663ceb15c105aadf5b963492b86993e07ae64af0595 210878 boinc_7.0.36+dfsg-2.debian.tar.gz
 6f57b178e7d1e40c442703bd7c82052172a0d0591e7c2c525a2e4e79cbb9aea1 72192 boinc_7.0.36+dfsg-2_all.deb
 3da3918f1077c3623223d3d2a956abd3b8cb231383e3f7fe69b15ed5bccd0c62 210614 libboinc7_7.0.36+dfsg-2_amd64.deb
 1d267d3eca90cdf7741d81deee942709fd9ee7090d03aca2cea6e3d442b7ce6b 72184 boinc-nvidia-cuda_7.0.36+dfsg-2_amd64.deb
 c45b2f27dfe9fc2540aec54977771ac921fb5b1c14d80fffc65806323a0d4036 72288 boinc-amd-opencl_7.0.36+dfsg-2_amd64.deb
 759c029607f00142a2d62c115cc15901aa738d370ed62646f3390c737c19513f 433924 boinc-client_7.0.36+dfsg-2_amd64.deb
 14f35e4d5416d72998a4a31b520552caa15d46e1a2c86bcac89fd5976f5668fe 1365404 boinc-manager_7.0.36+dfsg-2_amd64.deb
 13aa18ec4a8939141bd0b4ca1d7d76058209c514809eb30c24f68377802d0c00 71856 boinc-dev_7.0.36+dfsg-2_all.deb
 98d24637ed4130f933a6997398fe2553e664c8358d37d6194baaa205f98fa204 201762 libboinc-app-dev_7.0.36+dfsg-2_all.deb
 a5098e188ab11c1b8c76737766d78d743997134f25f450bf8e7db12bc5948e08 229356 libboinc-app7_7.0.36+dfsg-2_amd64.deb
 e863329ba47647b7ef6a6ea4e92caeef59dcc210631408304dc35f3451c8503b 9149534 boinc-dbg_7.0.36+dfsg-2_amd64.deb
 b79fbd3a09017a8e27425272217773a12eac75226b082f0c6ed815751941000e 83474 boinc-cgi-stripchart_7.0.36+dfsg-2_all.deb
Files: 
 c07144443ce35b79cb34e89c59fb952c 2983 net optional boinc_7.0.36+dfsg-2.dsc
 7d34c1f5a094d9811430f397ede5b5f2 210878 net optional boinc_7.0.36+dfsg-2.debian.tar.gz
 6497a03f1484b6f5b00a19e32a4dae54 72192 net optional boinc_7.0.36+dfsg-2_all.deb
 5805b65d26d32c8d5dc39b0f07240f07 210614 libs optional libboinc7_7.0.36+dfsg-2_amd64.deb
 aef8f430f871b1c982fbab084235b06f 72184 contrib/net extra boinc-nvidia-cuda_7.0.36+dfsg-2_amd64.deb
 cfdba024f7af53a724a3b1fc6813a711 72288 contrib/net extra boinc-amd-opencl_7.0.36+dfsg-2_amd64.deb
 e2551c8ac326afb596bc6b89e640f014 433924 net optional boinc-client_7.0.36+dfsg-2_amd64.deb
 73904ec4fbe3582344e6f4414e308865 1365404 x11 optional boinc-manager_7.0.36+dfsg-2_amd64.deb
 bf74dafe4e4a8841e71a11bc0728259c 71856 oldlibs extra boinc-dev_7.0.36+dfsg-2_all.deb
 158609c856b8bd9ab788e37a7825c35e 201762 libdevel optional libboinc-app-dev_7.0.36+dfsg-2_all.deb
 b5906c2f536f339effbe530929471e4b 229356 libs optional libboinc-app7_7.0.36+dfsg-2_amd64.deb
 e12a42a6cc531fc5085a3dabaf9e2f79 9149534 debug extra boinc-dbg_7.0.36+dfsg-2_amd64.deb
 4446304af04f44934c9259462fc19d5e 83474 libs extra boinc-cgi-stripchart_7.0.36+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQgy/vAAoJEC/YvtrAIO7RZKQP/0K+K6ogYYp+FpOMO/nQkg9N
XWieikJIel3pTTF51yK+4JPBbvx8uupQ4EadDhdxkVx4RqRY18il100RwCFmjJj7
KVIoUzMTEwuh1X5Hy918lNl33POOrTbsZY/kViPWsA4lGcIYckgeJ8aFja6PyAH8
Cgpb7B5XRGaJxjgdqJ6KM4gaIf1QB/aZ/xCUCd9tynawV8H2Z025Z0ZIrIJi5XxH
ZmQdVuPtG+xrHnG61/iaXwvvnZqaEwBna2K7NmpnXpLq8gM/ANLf0lFKz13qkbVH
xIbOMxqKNQFgTPuzyKrWc5r7xVf978+zfDJwM/07mHwFeAIcuv8Y4h1/54w3dXF2
ZLWBqgf/kVMpgxEeJtZJTaiiUR/Nb4nB1T0ToeKpSPrSXUxZpC03y4b1eTCO79M4
1PBqueB5oouOLM1VDE/nMWxusXDgKSP2Gf+l1nHBgXY5TO99IQ1F3YxoKql7PCSd
v9pwf66RgM3UrZTC33UfYWrZRSZn3s3EnYbq01+pCz2noX8B3lutuglqfwDWUS+T
dTtRFVA36soQ+rMVbFQ1nFwJj4dRGJvehELC86im+FxRYQwYfmbuQkAIL98YsaA9
BFirPBkIaU8Wq4IJuHk0oSQtFpUY/I33v7FRp/rV0Zc9q0cSlgWC30iHKw774BX4
pOCN6B2/0hAXyDQCUQWP
=opH9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Nov 2012 07:25:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:29:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.